## baloo-widgets5 16.04.0

=== CMakeLists.txt ===
project(baloo-widgets)
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.14 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Core Widgets Test)
find_package(KF5 5.19 REQUIRED COMPONENTS Config KIO I18n FileMetaData Baloo)

include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)

include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMGenerateHeaders)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
#TODO remove these
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

set(KF5_VERSION "5.0.0")
ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX BALOO_WIDGETS
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloowidgets_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake")

include_directories(
   ${CMAKE_SOURCE_DIR}/src
   ${CMAKE_BINARY_DIR}/src
   ${CMAKE_SOURCE_DIR}/src/naturalqueryparser
   ${CMAKE_BINARY_DIR}/src/naturalqueryparser
   ${CMAKE_BINARY_DIR}/src/naturalqueryparser/baloo
)

add_subdirectory(src)
add_subdirectory(test)
add_subdirectory(autotests)

# Config files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5BalooWidgets")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5BalooWidgetsTargets
        NAMESPACE KF5::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KF5BalooWidgetsTargets.cmake
)


feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== debian/changelog ===
baloo-widgets5 (16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:24:12 +0200

baloo-widgets5 (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:04 +0100

baloo-widgets5 (15.08.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 21 Sep 2015 16:21:50 +0200

baloo-widgets5 (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 01:28:20 +0200

baloo-widgets (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Ubuntu <ubuntu@ip-10-170-33-178.ec2.internal>  Wed, 26 Aug 2015 16:12:14 +0100

baloo-widgets (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Port to frameworks 5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:55:44 +0100

baloo-widgets (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix spacing and match debina license to upstream in copyright.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:31:30 -0700

baloo-widgets (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:20:59 +0200

baloo-widgets (4:4.14.0-2) unstable; urgency=medium

  * Update symbols files. (Closes: #777793)
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Aug 2015 17:31:11 +0200

baloo-widgets (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install file.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 01:19:14 +0200

baloo-widgets (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:26:36 +0200

baloo-widgets (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:04:03 +0200

baloo-widgets (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:20:17 +0200

baloo-widgets (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add missing build-dep libx11-dev

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:20:55 +0200

baloo-widgets (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 14:19:49 +0200

baloo-widgets (4:4.13.2-1) experimental; urgency=medium

  * Initial release for debian, packaged merged with the kubuntu version.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Jun 2014 11:18:43 +0200

baloo-widgets (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:38:30 +0100

baloo-widgets (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:33:19 +0100

baloo-widgets (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:04:39 +0200

baloo-widgets (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:51:49 +0100

baloo-widgets (4:4.12.90-0ubuntu1) trusty; urgency=low

  [ Jonathan Riddell ]
  * Initial release

  [ Scarlett Clark ]
  * Fix copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:30:58 +0000

=== debian/control ===
Source: baloo-widgets5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.19~),
               cmake (>= 2.8.12~),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 0.0.14~),
               kio-dev (>= 5.19~),
               libkf5config-dev (>= 5.19~),
               libkf5filemetadata-dev (>= 5.19~),
               libkf5i18n-dev (>= 5.19~),
               libkf5kdelibs4support-dev,
               libkf5service-dev,
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-applications/baloo-widgets.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-applications/baloo-widgets.git
Homepage: http://projects.kde.org/baloo-widgets

Package: libkf5baloowidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5filemetadata-bin, ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5baloowidgets-bin
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

Package: libkf5baloowidgets-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libkf5baloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kio-dev (>= 5.19~),
         libkf5baloowidgets5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5baloowidgets5-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable unit tests at build time
	:

## baloo-widgets5 16.04.3

=== debian/changelog ===
baloo-widgets5 (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge. 
  * Fix changelog to match control package name. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * Remove the old debugging package from the control file which
    is now created automatically
  * New upstream release, bug fix 16.04.1
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:43:57 +0200

baloo-widgets (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:49:21 -0700

baloo-widgets (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:21:37 +0100

baloo-widgets (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:47:27 +0100

baloo-widgets (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:04:26 +0100

=== debian/control ===
Source: baloo-widgets5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.24.0~),
               cmake (>= 2.8.12~),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5filemetadata-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5service-dev (>= 5.24.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
Homepage: http://projects.kde.org/baloo-widgets

Package: libkf5baloowidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5filemetadata-bin, ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5baloowidgets-bin
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

Package: libkf5baloowidgets-bin
Architecture: any
Section: libs
Depends: baloo-kf5, ${misc:Depends}, ${shlibs:Depends}
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libkf5baloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kio-dev,
         libkf5baloowidgets5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

## baloo-widgets5 16.12.3

=== debian/changelog ===
baloo-widgets5 (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Add kubuntu_disable_failing_size_check.diff
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:19 +0000

baloo-widgets5 (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:56 +0000

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.24.0~),
+Build-Depends: baloo-kf5-dev (>= 5.31.0~),
                cmake (>= 2.8.12~),
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5filemetadata-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
-               libkf5service-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5filemetadata-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
 Homepage: http://projects.kde.org/baloo-widgets
 
 Package: libkf5baloowidgets5
@@ -43,8 +43,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: kio-dev,
-         libkf5baloowidgets5 (= ${binary:Version}),
+Depends: libkf5baloowidgets5 (= ${binary:Version}),
+         libkf5kio-dev (>= 5.31.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Development headers for developing applications with Baloo

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --ddeb-migration='libkf5baloowidgets5-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable unit tests at build time
	:

## baloo-widgets5 17.04.3

=== debian/changelog ===
baloo-widgets5 (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:13 +0100

## baloo-widgets5 17.12.3

=== autotests/CMakeLists.txt ===
set(EXTRACTOR_TEST_SRCS
    extractortest.cpp
)

configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

ecm_add_test(${EXTRACTOR_TEST_SRCS}
    TEST_NAME "extractortest"
    LINK_LIBRARIES Qt5::Test
)

=== src/CMakeLists.txt ===
#add_subdirectory(naturalqueryparser)
add_definitions(-DTRANSLATION_DOMAIN=\"baloowidgets5\")

set(widgets_SRCS
  kblocklayout.cpp
  tagwidget.cpp
  kedittagsdialog.cpp
  tagcheckbox.cpp
  filemetadatawidget.cpp
  filemetadataconfigwidget.cpp
  filemetadataprovider.cpp
  indexeddataretriever.cpp
  kcommentwidget.cpp
  keditcommentdialog.cpp
  metadatafilter.cpp
  widgetfactory.cpp
  #groupedlineedit.cpp
  #querybuilder.cpp
  #querybuildercompleter.cpp
  filefetchjob.cpp
)

add_library(KF5BalooWidgets ${widgets_SRCS})

add_library(KF5::BalooWidgets ALIAS KF5BalooWidgets)

target_link_libraries(KF5BalooWidgets
  PUBLIC
  Qt5::Widgets
  Qt5::Core
  KF5::KIOCore # KFileItem
  KF5::CoreAddons # KProcess, KJob

  PRIVATE
  KF5::I18n
  KF5::FileMetaData
  KF5::WidgetsAddons
  KF5::Baloo
  #KF5::BalooNaturalQueryParser
  KF5::CoreAddons
  KF5::ConfigGui
)

set_target_properties(KF5BalooWidgets PROPERTIES
   VERSION ${BALOO_WIDGETS_VERSION_STRING}
   SOVERSION ${BALOO_WIDGETS_SOVERSION}
   EXPORT_NAME BalooWidgets
)

target_include_directories(KF5BalooWidgets INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets>")

generate_export_header(KF5BalooWidgets BASE_NAME BALOO_WIDGETS EXPORT_FILE_NAME widgets_export.h)

install(TARGETS KF5BalooWidgets EXPORT KF5BalooWidgetsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(KF5BalooWidgets_CamelCase_HEADERS
    HEADER_NAMES
    TagWidget
    FileMetaDataWidget
    FileMetaDataConfigWidget
    #QueryBuilder
    #GroupedLineEdit

    PREFIX baloo
    REQUIRED_HEADERS KF5BalooWidgets_HEADERS
)

install(FILES
  ${KF5BalooWidgets_CamelCase_HEADERS}
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets/Baloo
  COMPONENT Devel
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/widgets_export.h
  ${KF5BalooWidgets_HEADERS}
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets/baloo
  COMPONENT Devel
)

#
# Extractor Process
#
add_executable(baloo_filemetadata_temp_extractor extractor.cpp)
target_link_libraries(baloo_filemetadata_temp_extractor
  Qt5::Core
  KF5::I18n
  KF5::FileMetaData
)

install(TARGETS baloo_filemetadata_temp_extractor DESTINATION ${BIN_INSTALL_DIR})

=== src/naturalqueryparser/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN)
add_definitions(-DTRANSLATION_DOMAIN=\"baloo_naturalqueryparser\")

set(QUERYPARSER_SRCS
    completionproposal.cpp
    pass_comparators.cpp
    pass_dateperiods.cpp
    pass_datevalues.cpp
    pass_decimalvalues.cpp
    pass_filenames.cpp
    pass_filesize.cpp
    pass_numbers.cpp
    pass_periodnames.cpp
    pass_properties.cpp
    pass_propertyinfo.cpp
    pass_splitunits.cpp
    pass_subqueries.cpp
    pass_typehints.cpp
    patternmatcher.cpp
    naturalqueryparser.cpp
    naturalfilequeryparser.cpp
    utils.cpp
)

add_library(KF5BalooNaturalQueryParser ${QUERYPARSER_SRCS})
add_library(KF5::BalooNaturalQueryParser ALIAS KF5BalooNaturalQueryParser)

target_link_libraries(KF5BalooNaturalQueryParser
    KF5::Baloo
    KF5::KDELibs4Support
    KF5::FileMetaData
)

set_target_properties(KF5BalooNaturalQueryParser PROPERTIES
    VERSION ${BALOO_WIDGETS_VERSION}
    SOVERSION ${BALOO_WIDGETS_VERSION}
    EXPORT_NAME BalooNaturalQueryParser
)

target_include_directories(KF5BalooNaturalQueryParser INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets>")

generate_export_header(KF5BalooNaturalQueryParser BASE_NAME BALOO_NATURALQUERYPARSER EXPORT_FILE_NAME naturalqueryparser_export.h)
ecm_generate_headers(KF5BalooNaturalQueryParser_CamelCase_HEADERS
    HEADER_NAMES
    CompletionProposal
    NaturalQueryParser
    NaturalFileQueryParser

    PREFIX baloo
    REQUIRED_HEADERS KF5BalooNaturalQueryParser_HEADERS
)

install(TARGETS KF5BalooNaturalQueryParser EXPORT KF5BalooWidgetsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/naturalqueryparser_export.h
    ${KF5BalooNaturalQueryParser_HEADERS}
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets/baloo
    COMPONENT Devel
)

install(FILES
    ${KF5BalooNaturalQueryParser_CamelCase_HEADERS}
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets/Baloo
    COMPONENT Devel
)

add_subdirectory(autotests)

=== debian/changelog ===
baloo-widgets5 (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:17 +0000

baloo-widgets5 (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:54:27 +0000

baloo-widgets5 (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:42 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,10 @@
 Package: libkf5baloowidgets5
 Architecture: any
 Multi-Arch: same
-Depends: libkf5filemetadata-bin, ${misc:Depends}, ${shlibs:Depends}
+Depends: libkf5baloowidgets-data (= ${source:Version}),
+         libkf5filemetadata-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: libkf5baloowidgets-bin
 Description: Wigets for use with Baloo
  Baloo is a framework for searching and managing metadata.
@@ -32,9 +35,22 @@
 
 Package: libkf5baloowidgets-bin
 Architecture: any
+Multi-Arch: foreign
 Section: libs
 Depends: baloo-kf5, ${misc:Depends}, ${shlibs:Depends}
 Description: Wigets for use with Baloo - binaries
+ Baloo is a framework for searching and managing metadata.
+ .
+ This package contains binaries used by the baloo widgets library.
+
+Package: libkf5baloowidgets-data
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: baloo-kf5, ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: Wigets for use with Baloo - data files
  Baloo is a framework for searching and managing metadata.
  .
  This package contains binaries used by the baloo widgets library.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
 	dh_strip --ddeb-migration='libkf5baloowidgets5-dbg (<= 15.12.0-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/baloo-widgets-([\d.]+).tar.xz

## baloo-widgets5 18.04.3

=== debian/changelog ===
baloo-widgets5 (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * ACC test: add statx to skip_types, fixes the ACC test with glibc >=
    2.28

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Aug 2018 01:06:32 +0100

baloo-widgets5 (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * Update symbols from build logs
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:13:22 +0100

baloo-widgets5 (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Skip tests which require fixing upstream for baloo from KDE FW
    5.46. KDE Bug: 394305

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 16 May 2018 05:42:29 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5kio-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
@@ -62,7 +62,7 @@
 Depends: libkf5baloowidgets5 (= ${binary:Version}),
          libkf5kio-dev (>= 5.31.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Development headers for developing applications with Baloo
  Baloo is a framework for searching and managing metadata.
  .

## baloo-widgets5 18.12.3

=== debian/changelog ===
baloo-widgets5 (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:24:12 +0000

baloo-widgets5 (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:11:39 +0000

baloo-widgets5 (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:21 +0000

baloo-widgets5 (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:07 +0000

baloo-widgets5 (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep our autopkgtest changes.
    - Source is baloo-widgets5 in Ubuntu.
    - Keep and update our symbols files.
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Data package for translations.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 12:05:02 +0000

baloo-widgets (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Run the autopkgtest testsuite using xvfb-run, as it needs a GUI.
    (Closes: #908270)

 -- Pino Toscano <pino@debian.org>  Fri, 07 Sep 2018 21:37:12 +0200

baloo-widgets (4:18.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the versions of some of the build dependencies according to the
    upstream build system:
    - Qt packages to >= 5.8.0
    - Frameworks packages to >= 5.43.0
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Small touches to copyright file.
  * Update install files.
  * Update symbols file.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Sep 2018 07:53:51 +0200

baloo-widgets (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove unused build dependencies: kio-dev, libkf5kdelibs4support-dev, and
    libkf5service-dev.
  * Drop unused ${shlibs:Depends} substvar from libkf5baloowidgets-dev.
  * Switch kio-dev dependency to libkf5kio-dev in libkf5baloowidgets-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 10:20:52 +0100

baloo-widgets (4:17.08.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Fix Vcs-* fields.

  [ Maximiliano Curia ]
  * Drop empty file
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:47 +0200

baloo-widgets (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:42 +0000

baloo-widgets (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:20 +0000

baloo-widgets (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:28 +0000

baloo-widgets (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:07:14 +0000

baloo-widgets (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:01:59 +0000

baloo-widgets (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:45:39 +0000

baloo-widgets (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:54:41 +0000

baloo-widgets (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:12:26 +0000

baloo-widgets (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:21:50 +0000

baloo-widgets (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:44 +0000

baloo-widgets (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:09 +0000

baloo-widgets (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:53 +0000

baloo-widgets (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:03 +0000

baloo-widgets (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Jul 2016 17:02:35 +0000

## baloo-widgets5 19.04.3

=== debian/changelog ===
baloo-widgets5 (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:09:53 +0100

baloo-widgets5 (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:58:08 +0100

baloo-widgets5 (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:53:57 +0100

baloo-widgets5 (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Update install files.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:39:15 +0100

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/baloo-widgets-([\d.]+)\.tar\.xz

## baloo-widgets5 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "19")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
project(baloo-widgets VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.60.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Widgets Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config KIO I18n FileMetaData Baloo)

include(ECMSetupVersion)
include(ECMInstallIcons)

include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMGenerateHeaders)
include(ECMAddTests)
include(CMakePackageConfigHelpers)

add_definitions(-DQT_NO_FOREACH)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX BALOO_WIDGETS
                  SOVERSION 5
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloowidgets_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake")

include_directories(
   ${CMAKE_SOURCE_DIR}/src
   ${CMAKE_BINARY_DIR}/src
)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
	#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(test)
  add_subdirectory(autotests)
endif()

# Config files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5BalooWidgets")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5BalooWidgetsTargets
        NAMESPACE KF5::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KF5BalooWidgetsTargets.cmake
)


feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)
ki18n_install(po)

=== debian/changelog ===
baloo-widgets5 (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:03:49 +0000

baloo-widgets5 (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Skip building tests.
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:15:44 +0000

baloo-widgets5 (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:49:35 +0000

baloo-widgets5 (4:19.12.0-0ubuntu1) focal; urgency=medium

  * Update insatll files.
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:43:04 +0000

baloo-widgets5 (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:27:57 +0000

baloo-widgets5 (4:19.08.2-0ubuntu1) focal; urgency=medium

  * Update symbols from build logs.
  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2019 20:36:01 +0000

=== debian/control ===
Source: baloo-widgets5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.43.0~),
               cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.43.0~),
               libkf5filemetadata-dev (>= 5.43.0~),
               libkf5i18n-dev (>= 5.43.0~),
               libkf5kio-dev (>= 5.43.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.2.1
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
Homepage: http://projects.kde.org/baloo-widgets

Package: libkf5baloowidgets-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libkf5baloowidgets-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: baloo-kf5, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Wigets for use with Baloo - data files
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libkf5baloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5baloowidgets5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.31.0~),
         ${misc:Depends},
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf5baloowidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5baloowidgets-data (= ${source:Version}),
         libkf5filemetadata-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5baloowidgets-bin
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	dh_strip --ddeb-migration='libkf5baloowidgets5-dbg (<= 15.12.0-1~~)'
+	dh_strip --dbgsym-migration='libkf5baloowidgets5-dbg (<= 15.12.0-1~~)'
 
 override_dh_auto_test:
 	# Disable unit tests at build time

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, xauth

## baloo-widgets5 20.08.1

=== debian/changelog ===
baloo-widgets5 (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:48:03 +0100

baloo-widgets5 (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:42:19 +0100

baloo-widgets5 (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:33:04 +0100

baloo-widgets5 (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:09:44 +0100

baloo-widgets5 (4:20.04.1-0ubuntu2) groovy; urgency=medium

  * Merge Debian changes. Remaining changes:
    - Kubuntu Vcs fields.
    - Source is baloo-widgets5 in Ubuntu.
    - Data package for translations.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Jun 2020 10:11:40 +0100

baloo-widgets (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.11.0
    - bump KF packages to 5.60.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Switch the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Update install files.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 15:15:49 +0200

baloo-widgets5 (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:30:55 +0100

baloo-widgets5 (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:17:41 +0100

baloo-widgets (4:19.08.1-1) unstable; urgency=medium

  * New upstream release (19.08.1).
  * Update symbols files.
  * Update build-deps and deps with the info from cmake
  * Bump debhelper build-dep and compat to 12
  * Bump Standards-version to 4.4.0
  * Drop dbg migration
  * Add a salsa-ci script
  * Build with hardening bindnow
  * Update install files
  * Add Build-Depends-Package to the symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 Sep 2019 19:13:29 -0700

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.43.0~),
-               cmake (>= 2.8.12~),
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5config-dev (>= 5.43.0~),
-               libkf5filemetadata-dev (>= 5.43.0~),
-               libkf5i18n-dev (>= 5.43.0~),
-               libkf5kio-dev (>= 5.43.0~),
+Build-Depends: baloo-kf5-dev (>= 5.60.0~),
+               cmake (>= 3.0~),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 5.60.0~),
+               gettext,
+               libkf5config-dev (>= 5.60.0~),
+               libkf5filemetadata-dev (>= 5.60.0~),
+               libkf5i18n-dev (>= 5.60.0~),
+               libkf5kio-dev (>= 5.60.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.8.0~),
-Standards-Version: 4.2.1
+               qtbase5-dev (>= 5.11.0~),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
 Homepage: http://projects.kde.org/baloo-widgets
@@ -43,7 +45,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5baloowidgets5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.31.0~),
+         libkf5kio-dev (>= 5.60.0~),
          ${misc:Depends},
 Description: Development headers for developing applications with Baloo
  Baloo is a framework for searching and managing metadata.

## baloo-widgets5 20.12.3

=== debian/changelog ===
baloo-widgets5 (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:14:27 +0000

baloo-widgets5 (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:48:53 +0000

baloo-widgets5 (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:06:58 +0000

baloo-widgets5 (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:21:49 +0000

baloo-widgets5 (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:46:37 +0000

## baloo-widgets5 21.08.1

=== debian/changelog ===
baloo-widgets5 (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:29:13 +0100

baloo-widgets5 (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:57:10 +0100

baloo-widgets5 (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:49:32 +0100

baloo-widgets5 (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:29:55 +0100

baloo-widgets5 (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:37:57 +0100

baloo-widgets5 (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:34:05 +0100

baloo-widgets5 (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:01:05 +0100

baloo-widgets5 (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:28:43 +0100
